Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000101 [libFirm] unknown major always 2013-04-24 08:56 2016-01-03 03:30
Reporter UniQ View Status public  
Assigned To UniQ
Priority normal Resolution open  
Status closed   Product Version development
Summary 0000101: 400.perlbench does not terminate
Description The SPEC CPU2006 benchmark 400.perlbench compiles but the created executable does not terminate for some input data.
Additional Information We somehow miscompile the Perl_magic_get function of mg.c.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000153)
UniQ (developer)
2013-04-30 23:50

Further reduced the problem to case '\027'.

Looking at the code
.Lstr.38:
    .asciz "\000_asm__\000\000\000\000\000"

might be related to the problem (string should only contain zeros...).

Might be a duplicate of gcc/991227-1.c.
(0000154)
UniQ (developer)
2013-07-02 16:13

Resolved in libfirm 1f9e2f1dda2f7636f9fbb2955a71013264a01f71.

- Issue History
Date Modified Username Field Change
2013-04-24 08:56 UniQ New Issue
2013-04-24 08:56 UniQ Status new => assigned
2013-04-24 08:56 UniQ Assigned To => UniQ
2013-04-24 08:56 UniQ Status assigned => confirmed
2013-04-30 23:50 UniQ Note Added: 0000153
2013-07-02 16:13 UniQ Note Added: 0000154
2013-07-02 16:13 UniQ Status confirmed => resolved
2016-01-03 03:30 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker